Status: Resolved Start date: 10/22/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Plugins Estimated time: 0.00 hour
Target version: rsb-0.9
Description

It should be possible to load multiple plugins like this:

[plugins.cpp]
load = rsbyarp:rst.*

Related issues:
Related to Robotics Systems Commons - Enhancement # 1216: rsc::plugins::Manag... Resolved 10/22/2012

Associated revisions
Revision 3b750670 - 10/23/2012 03:57 PM - J. Moringen

Support regex plugin load requests in src/rsc/plugins/Configurator.cpp

fixes #1215

All values of the plugins.cpp.load options are now treated as regular
expressions. All plugins, whose names match these expressions, are
loaded.

    -  src/rsc/plugins/Configurator.cpp: when iterating over load requests,
  do a regex lookup via Manager::getPlugins() and load all returned
  matching plugins

History
#1 - 10/23/2012 03:36 AM - J. Moringen
- Project changed from Robotics Service Bus to Robotics Systems Commons
- Category changed from C++ to Plugins
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 10/23/2012 06:01 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsc|commit:3b7506708d437e7bd8d9329493689ccfb9fb03eb.
